--- old/usr/src/uts/common/os/watchpoint.c	2015-11-24 09:34:47.323640347 -0500
+++ new/usr/src/uts/common/os/watchpoint.c	2015-11-24 09:34:47.327557684 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/t_lock.h>
 #include <sys/param.h>
@@ -311,9 +309,9 @@
 		retry:
 			seg = as_segat(as, addr);
 			ASSERT(seg != NULL);
-			SEGOP_GETPROT(seg, addr, 0, &oprot);
+			(void) segop_getprot(seg, addr, 0, &oprot);
 			if (prot != oprot) {
-				err = SEGOP_SETPROT(seg, addr, PAGESIZE, prot);
+				err = segop_setprot(seg, addr, PAGESIZE, prot);
 				if (err == IE_RETRY) {
 					ASSERT(retrycnt == 0);
 					retrycnt++;
@@ -406,7 +404,7 @@
 		if ((seg = as_segat(as, vaddr)) != NULL &&
 		    !(pwp->wp_flags & WP_NOWATCH)) {
 			prot = pwp->wp_prot;
-			err = SEGOP_SETPROT(seg, vaddr, PAGESIZE, prot);
+			err = segop_setprot(seg, vaddr, PAGESIZE, prot);
 			if (err == IE_RETRY) {
 				ASSERT(retrycnt == 0);
 				retrycnt++;
